KRB5_GENERATE_RANDOM_BLOCK(3) | Library Functions Manual | KRB5_GENERATE_RANDOM_BLOCK(3)

# NAME

`krb5_generate_random_block` — Kerberos 5 random functions

# LIBRARY

Kerberos 5 Library (libkrb5, -lkrb5)

# SYNOPSIS

`#include <krb5/krb5.h>`

void
`krb5_generate_random_block`(void *buf, size_t len);

# DESCRIPTION

`krb5_generate_random_block`() generates a cryptographically strong pseudo-random block into the buffer buf of length len.

# SEE ALSO

krb5(3), krb5.conf(5)

March 21, 2004 | NetBSD 11.0